LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 12-15-2010, 04:12 AM   #1
Linux.tar.gz
Senior Member
 
Registered: Dec 2003
Location: Paris
Distribution: Slackware forever.
Posts: 2,227

Rep: Reputation: 86
Can't compile postgresql with kerberos support


Hi, i used slackbuilds.

I built kerberos, and added --with-krb5 to the postgresql build.

It failed with this error :
configure: error: could not find function 'krb5_sendauth' required for Kerberos 5

Googled around, some people have this problem, but no answer...
 
Old 12-17-2010, 06:42 PM   #2
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 22,978
Blog Entries: 11

Rep: Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879
This begs the question:

Which kerberos did you install, and how did you go about it?

Just for the heck of it I downloaded and installed krb5-1.8.3
on my Slackware64 machine, and then compiled postgresql-8.4.5
and 9.0.2 against it w/o any problems.


Cheers,
Tink
 
Old 12-18-2010, 07:18 AM   #3
sysslack
Member
 
Registered: Feb 2006
Posts: 69

Rep: Reputation: 15
Hi
check first that you have all dependencies installed.
I checked and installed the krb5-devel package and got rid of your error.
This is the package I have installed:
krb5-workstation
krb5-libs
pam_krb5
krb5-auth-dialog
krb5-devel
Then Try this
root@localhost postgresql-7.4.28]# ./configure --with-krb5 --with-includes=/usr/include/et

Good Luck!
 
Old 12-18-2010, 02:48 PM   #4
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 22,978
Blog Entries: 11

Rep: Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879
Quote:
Originally Posted by sysslack View Post
Hi
check first that you have all dependencies installed.
I checked and installed the krb5-devel package and got rid of your error.
This is the package I have installed:
krb5-workstation
krb5-libs
pam_krb5
krb5-auth-dialog
krb5-devel
Then Try this
root@localhost postgresql-7.4.28]# ./configure --with-krb5 --with-includes=/usr/include/et

Good Luck!

Where did those come from? :} They're not part of slackware.


Cheers,
Tink
 
Old 12-20-2010, 02:55 AM   #5
sysslack
Member
 
Registered: Feb 2006
Posts: 69

Rep: Reputation: 15
Wink

Sorry for being unclear on this point!
No they are part of centos, but I compiled from source trying to reproduce your error and it seems like the flag:
PHP Code:
 --with-includes=/usr/include/et 
is the flag to add to get rid of error below:
You have to check for similar package for slackware, and especially the develeopment packages.
PHP Code:
./configure --with-krb5
checking krb5
.h presence... yes
checking 
for krb5.h... yes
checking com_err
.h usability... no
checking com_err
.h presence... no
checking 
for com_err.h... no
configure
errorheader file <com_err.his required for Kerberos 5 
If the header is somewhere else try:
PHP Code:
find / -name com.err.and change  --with-includes=/path_to_your_headers 
and this packages should also include getting rid of your error:
PHP Code:
configureerrorcould not find function 'krb5_sendauth' required for Kerberos 5 

Hope this helps
 
Old 01-03-2011, 07:18 AM   #6
Linux.tar.gz
Senior Member
 
Registered: Dec 2003
Location: Paris
Distribution: Slackware forever.
Posts: 2,227

Original Poster
Rep: Reputation: 86
Ok, thanks all, i'll try to take a look soon.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Added Kerberos support to OpenSSH and sudo broke Ron Parker Slackware 2 07-17-2009 11:24 AM
Problem to compile squid with kerberos Support eduinoue Linux - Server 3 06-26-2009 08:45 AM
PostgreSQL and openssl don't compile right zecster Linux - Software 1 04-18-2006 10:48 PM
Webmail with Kerberos support nocturn00 Linux - Networking 0 08-09-2005 07:19 AM
Apache+PHP+PostgreSQL+Kerberos+Windows 2000 AD Automagic logon slacky Linux - Security 1 06-28-2005 12:13 PM


All times are GMT -5. The time now is 05:53 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration